package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.annotation.Column;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author
 * @title: CustomerFeeConfigVO
 * @projectName nc
 * @description: TODO
 * @date 2021/4/2610:23
 */
public class CustomerFeeConfigVO implements Serializable {
    /**
     * 病人ID
     */
    @Column(name = "customer_id")
    @ApiModelProperty(value = "病人ID", required = false)
    private Integer customerId;
    /**
     * 关联费用配置项
     */
    @Column(name = "fee_config_id")
    @ApiModelProperty(value = "关联费用配置项", required = false)
    private Integer feeConfigId;
    /**
     * 不使用费用配置表时使用此字段
     */
    @Column(name = "fee_name")
    @ApiModelProperty(value = "费用名称", required = false)
    private String feeName;
    /**
     * null
     */
    @Column(name = "fee_value")
    @ApiModelProperty(value = "具体费用", required = false)
    private Double feeValue;
    /**
     * null
     */
    @Column(name = "fee_number")
    @ApiModelProperty(value = "费用批次", required = false)
    private Integer feeNumber;
    /**
     * null
     */
    @Column(name = "fee_time")
    @ApiModelProperty(value = "费用产生的时间", required = false)
    private Long feeTime;
    /**
     * 费用项组名
     */
    @Column(name = "group_name")
    @ApiModelProperty(value = "费用项组名", required = false)
    private String groupName;
    /**
     * 费用编码
     */
    @Column(name = "key_code")
    @ApiModelProperty(value = "费用编码", required = false)
    private String keyCode;
    /**
     * 单位
     */
    @Column(name = "unit")
    @ApiModelProperty(value = "单位", required = false)
    private String unit;
    /**
     * 描述
     */
    @Column(name = "description")
    @ApiModelProperty(value = "描述", required = false)
    private String description;
    /**
     * 参数类型
     */
    @Column(name = "key_type")
    @ApiModelProperty(value = "参数类型", required = false)
    private String keyType;
    /**
     * null
     */
    @Column(name = "index")
    @ApiModelProperty(value = "null", required = false)
    private Integer index;

    public Integer getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    public Integer getFeeConfigId() {
        return feeConfigId;
    }

    public void setFeeConfigId(Integer feeConfigId) {
        this.feeConfigId = feeConfigId;
    }

    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }

    public Double getFeeValue() {
        return feeValue;
    }

    public void setFeeValue(Double feeValue) {
        this.feeValue = feeValue;
    }

    public Integer getFeeNumber() {
        return feeNumber;
    }

    public void setFeeNumber(Integer feeNumber) {
        this.feeNumber = feeNumber;
    }

    public Long getFeeTime() {
        return feeTime;
    }

    public void setFeeTime(Long feeTime) {
        this.feeTime = feeTime;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getKeyCode() {
        return keyCode;
    }

    public void setKeyCode(String keyCode) {
        this.keyCode = keyCode;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getKeyType() {
        return keyType;
    }

    public void setKeyType(String keyType) {
        this.keyType = keyType;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }
}
